(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[      4661,        105]*)
(*NotebookOutlinePosition[      6070,        149]*)
(*  CellTagsIndexPosition[      6026,        145]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["\<\

Abstract

\
\>", "Text",
  FontSize->24],

Cell["\<\
The work described in this thesis was developed within the Theorema \
system. The aim of Theorema is to provide computer\[Dash]assisted support to \
the entire mathematical exploration cycle in the frame of one uniform logic \
and one coherent software system. To fulfill these requirements one has to \
combine the power of the computer algebra systems, widely used in the \
mathematical community, with the power of theorem proving systems. This \
thesis contributes one step further towards the integration of the three main \
activities of mathematical exploration -  proving, solving and computing -  \
into one system. The main class of provers we designed and implemented are \
integrating these three activities.\
\>", "Text"],

Cell["\<\
The purpose of this thesis was to design and implement special and \
general purpose provers that can automatically generate proofs for particular \
classes of problems, within the Theorema system. The most important such \
class of problems is represented by the rewrite\[Dash]type properties of \
notions involving alternating quantifiers. These notions arise, for example, \
in mathematical analysis: limit, continuity, differentiability, etc. Examples \
of rewrite\[Dash]properties are: \"limit of sum is sum of limits\", \"the \
product of continuous functions is continuous\", etc. The automatic \
generation of this type of proofs is still a challenge for, if not even \
beyond the capabilities, of current automatic theorem provers. Starting from \
ideas of Buchberger, we designed and implemented a class of provers which \
are, particularly but not only, suited for proving such properties \
automatically. These provers integrate aspects from several fields like \
theorem proving, rewriting, constraint solving. With them we succeeded in \
proving automatically the LIM+ challenge problem together with other similar \
problems which are beyond the capabilities of most of the current automatic \
theorem provers. Other classes of problems for which we designed and \
implemented provers involved definitions by cases, or general formulae over \
natural numbers or tuples.\
\>", "Text"],

Cell["\<\
Apart from natural deduction inference rules, the provers are based \
on a general rewriting technique, natural deduction solving rules, inference \
rules for case distinction and inductive inference rules. The general \
rewriting we introduce is a generalization of rewriting by equalities to \
rewriting by equalities, equivalences and implications whose right-hand side \
can also contain quantifiers. We also introduce \"semantic rewriting\" in \
addition to purely syntactic rewriting. The natural deduction solving rules \
we give are new and they describe our way of treating solving. The way of \
combining the inference rules within the Prove\[Dash]Compute(\[Dash]Solve) \
provers is also novel.\
\>", "Text"]
},
FrontEndVersion->"4.0 for X",
ScreenRectangle->{{0, 1600}, {0, 1200}},
WindowSize->{958, 942},
WindowMargins->{{Automatic, 316}, {61, Automatic}},
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{Cell[ 
        TextData[ {
          CounterBox[ "Page"]}], "PageNumber"], Inherited, None}, {
    None, Inherited, Cell[ 
        TextData[ {
          CounterBox[ "Page"]}], "PageNumber"]}},
PrintingOptions->{"PrintingMargins"->{{99, 99}, {108, 108}},
"PaperSize"->{597.562, 842.375},
"PaperOrientation"->"Portrait",
"PrintCellBrackets"->False,
"PrintRegistrationMarks"->True,
"PrintMultipleHorizontalPages"->False,
"FirstPageHeader"->False,
"FacingPages"->True,
"PostScriptOutputFile":>FrontEnd`FileName[{$RootDirectory, "home", "dvasaru", \
"work", "MmaThesis", "final"}, "Abstract.nb.ps", CharacterEncoding -> \
"ISO8859-1"],
"Magnification"->1},
Magnification->1.5,
StyleDefinitions -> "ThesisStyle.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 51, 6, 197, "Text"],
Cell[1771, 57, 744, 11, 196, "Text"],
Cell[2518, 70, 1408, 20, 321, "Text"],
Cell[3929, 92, 728, 11, 171, "Text"]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

