(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[      5451,        121]*)
(*NotebookOutlinePosition[      6775,        161]*)
(*  CellTagsIndexPosition[      6731,        157]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["\<\

Zussamenfassung

\
\>", "Text",
  FontSize->24],

Cell["\<\
Die Arbeit, die in dieser Dissertation beschrieben wird, wurde im \
Theorema\[Dash]System entwickelt. Theorema hat sich zum Ziel gesetzt, \
Computer\[Dash]Unterst\[UDoubleDot]tzung im Rahmen einer einheitlichen Logik \
und eines koh\[ADoubleDot]renten Software Systems f\[UDoubleDot]r den \
mathematischen \"Explorations\"\[Dash]Zyklus zur Verf\[UDoubleDot]gung zu \
stellen. Um diese Anforderungen zu erf\[UDoubleDot]llen, m\[UDoubleDot]ssen \
die F\[ADoubleDot]higkeiten von Computer\[Dash]Algebra\[Dash]Systemen, die im \
mathematischen Umfeld sehr gebr\[ADoubleDot]uchlich sind, mit den M\
\[ODoubleDot]glichkeiten eines Systems verbunden werden, das Theoreme \
automatisch beweisen kann.\
\>", "Text"],

Cell["\<\
Diese Arbeit leistet einen weiteren Beitrag zur Integration der \
drei mathematischen Hauptforschungsaktivit\[ADoubleDot]ten - Beweisen, L\
\[ODoubleDot]sen und Rechnen - in ein System. Die Hauptklasse von Beweisern, \
die wir entwickelt und implementiert haben, integrieren diese drei Aktivit\
\[ADoubleDot]ten.\
\>", "Text"],

Cell["\<\
Die Absicht dieser Dissertation war es, spezielle und allgemeine \
Beweiser in Theorema zu entwickeln und zu implementieren, die automatisch \
Beweise f\[UDoubleDot]r bestimmte Arten von Problemen erzeugen \
k\[ODoubleDot]nnen. Die wichtigste Problemklasse weist \
Umformungseigenschaften (\"Rewrite\"\[Dash]Eigenschaften) von Begriffen auf, \
in denen alternierende Quantoren vorkommen. Diese Art von Begriffen tritt zum \
Beispiel in der Analysis auf: Limes, Stetigkeit, Differenzierbarkeit, etc. \
Beispiele f\[UDoubleDot]r Umformungseigenschaften sind \"Der Grenzwert der \
Summe ist eine Summe von Grenzwerten\" oder \"das Produkt von stetigen \
Funktionen ist stetig\". Das automatische Erzeugen dieser Art von Beweisen \
ist immer noch eine Herausforderung bzw. au\[SZ]erhalb der \
M\[ODoubleDot]glichkeiten von heutigen automatischen Beweissystemen. \
Ausgehend von Ideen Buchbergers entwickelten und implementierten wir eine \
Klasse von Beweisern, die insbesondere, aber nicht ausschlie\[SZ]lich, daf\
\[UDoubleDot]r geeignet sind, solche Eigenschaften automatisch zu beweisen. \
Diese Beweiser verbinden Aspekte mehrerer  Bereiche, wie \"automatisches \
Beweisen\", \"rewriting\" und \"constraint solving\". Mit diesen Beweisern \
konnten wir erfolgreich das LIM+ Challenge Problem wie auch andere \
\[ADoubleDot]hnliche Problemen l\[ODoubleDot]sen, die jenseits der F\
\[ADoubleDot]higkeiten der meisten automatischen Beweissysteme liegen. Andere \
Problemklassen, f\[UDoubleDot]r welche wir Beweiser entwickelt und \
implementiert haben, beinhalten Definitionen mit Fallunterscheidungen oder \
allgemeine Formeln \[UDoubleDot]ber die nat\[UDoubleDot]rlichen Zahlen oder \
Tupeln.\
\>", "Text"],

Cell["\<\
Abgesehen von nat\[UDoubleDot]rlichen Schlussregeln basieren die \
Beweiser auf einer allgemeinen Umformungstechnik (\"rewrite-technique\"), nat\
\[UDoubleDot]rlicher Deduktion zum L\[ODoubleDot]sen, Schlussregeln f\
\[UDoubleDot]r Fallunterscheidungen und induktiven Schlussregeln. Die \
allgemeine Umformungstechnik, die wir vorstellen, ist eine Verallgemeinerung \
der Umformung von Gleichungen, \[CapitalADoubleDot]quivalenzen und \
Implikationen, deren rechte Seite auch Quantoren beinhalten kann. Wir f\
\[UDoubleDot]hren neben dem reinen syntaktischen Umformen auch ein \
\"semantisches Umformen\" ein. Neu in dieser Arbeit sind auch die nat\
\[UDoubleDot]rlichen Ableitungsregeln f\[UDoubleDot]r \
\"Solve\"\[Dash]Problem. Die Art der Kombination von Schlussregeln mit \
\"automatischem Beweisen\", \"rewriting\" und \"constraint solving\" ist \
ebenfalls neu.\
\>", "Text"]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1600}, {0, 1127}},
WindowSize->{995, 969},
WindowMargins->{{60, Automatic}, {Automatic, 60}},
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{None, Inherited, None}, {None, Inherited, None}},
PageHeaderLines->{False, False},
PrintingOptions->{"PrintingMargins"->{{99, 99}, {108, 108}},
"PaperSize"->{597.563, 842.375},
"PaperOrientation"->"Portrait",
"PrintCellBrackets"->False,
"PrintRegistrationMarks"->True,
"PrintMultipleHorizontalPages"->False,
"FirstPageHeader"->False,
"FirstPageFooter"->False,
"FacingPages"->True,
"PostScriptOutputFile":>FrontEnd`FileName[{"home", "dvasaru", "work", \
"MmaThesis", "final"}, "Abstract.nb.ps", CharacterEncoding -> "WindowsANSI"],
"Magnification"->1},
Magnification->1.5,
StyleDefinitions -> "ThesisStyle.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 58, 6, 209, "Text"],
Cell[1778, 57, 716, 11, 151, "Text"],
Cell[2497, 70, 336, 6, 99, "Text"],
Cell[2836, 78, 1716, 25, 359, "Text"],
Cell[4555, 105, 892, 14, 177, "Text"]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

